<template lang="pug" functional>
  .col-auto.layouts__card(:key="props.obj.id")
    .card
      img.card-img-top(:src="props.obj.imgs[0].src")
      .card-body
        .name
          span.badge.badge-light {{ props.obj.id }}
          span {{ props.obj.name }}
</template>

<script>
  export default {
    name: "LCard",
    props: {
      obj: {
        type: Object,
        require: true
      }
    }
  }
</script>

<style lang="sass" scoped>
  .layouts__card
    margin-bottom: rems(20)
    transition: .5s .5s ease

    .card
      border: none
      background-color: transparent

    img
      max-width: 300px
      border-radius: 4px

    .card-body
      padding-left: 0
      padding-right: 0

    .name
      color: #fff
      line-height: 18px

    .badge
      margin-right: rems(8)
      padding: rems(1) rems(5) 0
      font-size: rems(11)
      line-height: 17px
      border-radius: 8px


</style>